// Load dts shapes and merge animations
datablock TSShapeConstructor(mutalidDts)
{
	baseShape  = "./mutalid.dts";
	sequence0  = "./root.dsq root";

	sequence1  = "./run.dsq run";
	sequence2  = "./runXXX.dsq walk";
	sequence3  = "./run.dsq back";
	sequence4  = "./run.dsq side";

	sequence5  = "./crouch.dsq crouch";
	sequence6  = "./crouchMove.dsq crouchRun";
	sequence7  = "./crouchMove.dsq crouchBack";
	sequence8  = "./crouchMove.dsq crouchSide";

	sequence9  = "./root.dsq look";
	sequence10 = "./head_side.dsq headside";
	sequence11 = "./root.dsq headUp";

	sequence12 = "./jump.dsq jump";
	sequence13 = "./jump.dsq standjump";
	sequence14 = "./jump.dsq fall";
	sequence15 = "./root.dsq land";

	sequence16 = "./slash.dsq armAttack";
	sequence17 = "./root.dsq armReadyLeft";
	sequence18 = "./root.dsq armReadyRight";
	sequence19 = "./root.dsq armReadyBoth";
	sequence20 = "./root.dsq spearready";  
	sequence21 = "./root.dsq spearThrow";

	sequence22 = "./talking.dsq talk";  

	sequence23 = "./death.dsq death1"; 
	
	sequence24 = "./root.dsq shiftUp";
	sequence25 = "./root.dsq shiftDown";
	sequence26 = "./root.dsq shiftAway";
	sequence27 = "./root.dsq shiftTo";
	sequence28 = "./root.dsq shiftLeft";
	sequence29 = "./root.dsq shiftRight";
	sequence30 = "./root.dsq rotCW";
	sequence31 = "./root.dsq rotCCW";

	sequence32 = "./root.dsq undo";
	sequence33 = "./root.dsq plant";

	sequence34 = "./sit.dsq sit";

	sequence35 = "./root.dsq wrench";

   sequence36 = "./slash.dsq activate";
   sequence37 = "./slash.dsq activate2";

   sequence38 = "./root.dsq leftrecoil";
};    

datablock AudioProfile(mutalidPainSound)
{
	fileName = "./JCrWht02.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(mutalidDeathSound)
{
	fileName = "./scdeath01.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(mutalidJumpSound)
{
	fileName = "./JCrDth00.wav";
	description = AudioClose3d;
	preload = true;
};
datablock PlayerData(mutalidZombie : PlayerStandardArmor)
{
	shapeFile = "./mutalid.dts";
	//category = "Vehicles";
	maxDamage = 250;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 1;		//this will be controlled by mini-game code
	maxTools = 1;
	runforce = 150 * 90;
	maxForwardSpeed = 14;
	maxBackwardSpeed = 7;
	maxSideSpeed = 7;
	attackpower = 50;
	//jumpsound = "mutalidJumpSound";
	cameradefaultFOV = 60;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "mutalid";
	rideable = true;
	canRide = false;
	BrickKillRadius = 2;
//	skinColor = "1 0.79 0.57 1";
//	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	aimatplayer = 1;
	SpecialAttack = 0;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 90;
	ZombieTeam = "mutalid";
	numMountPoints = 0;
	SearchRadius = 40;
//	zDeathSound = "mutalidDeathSound";
	ignorePipeBombs = 1		;
	paintable = true;

	boundingBox			= vectorScale("1.6 1.2 2.5", 4);
	crouchBoundingBox	= vectorScale("1.6 1.4 1.8", 4);

	useCustomPainEffects = true;
	PainSound			= mutalidPainSound;
	DeathSound			= mutalidDeathSound;
                  JumpSound			= mutalidJumpSound;
};
//function mutalidZombie::SpecialAttack(%this,%onshot)
//{
//	if(getsimtime() >= %this.lastspecial+1000 && %this.getstate() !$= "Dead")
//	{
//		%ran = getrandom(-1,1);
//		%ran2 = getrandom(-1,1);
//		%this.setmovex(%ran);
//		%this.setmovey(%ran2);
//		schedule(500,0,BotShootMode,%this);
//		%this.schedule(2800,clearmovex);
//		%this.schedule(2800,clearmovey);
		%this.lastspecial = getsimtime();
//	}
//}
function mutalidZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function mutalidZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function mutalidZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function mutalidZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function mutalidZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.name = "mutalid";
//	schedule(15,0,nazify,%obj);
	%obj.mountimage(mclawimage,0);
}